# ==================================================================
# Plugins::Searchtuner - Auto Generated Install Module
#
#   Plugins::Searchtuner
#   Author  : Niko Oeppert
#   Version : 0.1
#   Updated : Tue Jan 18 20:16:16 2011
#
# ==================================================================
#

package Plugins::Searchtuner;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

$VERSION = '0.1';
$DEBUG   = 0;
$NAME    = 'Searchtuner';
# Inhert from base class for debug and error methods
@Plugins::Searchtuner::ISA = qw(GT::Base);

$META = {
    'author' => 'Niko Oeppert',
    'description' => 'If there is exactly one search result the user is redirected to the detailed page.',
    'license' => 'Freeware',
    'prog_ver' => '3.2.0',
    'url' => 'http://www.master-productions.com/',
    'version' => '0.1'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Searchtuner::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('Searchtuner', [['search_results', 'POST', 'Plugins::Searchtuner::search_results', '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Searchtuner::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('Searchtuner', [['search_results', 'POST', 'Plugins::Searchtuner::search_results', '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
